#!/bin/bash

source "$( dirname "${BASH_SOURCE[0]}")/../scripts/.functions.sh"

docker-compose stop uspsapp uspsdb
resetDbVolume uspsdb
docker-compose rm -vf uspsapp uspsdb

export IMP_IRN=${IMP_IRN}
export IMP_URL=${IMP_URL-ftp://username:password@nwoca.org}
export IMP_PATH=${IMP_PATH}
export IMP_ANON=${IMP_ANON:--a false}
export IMP_EM=${IMP_EM-}

[ -f "docker-compose.override.yml" ] && export OVERRIDE=" -f docker-compose.override.yml"
[ -f "docker-compose.uspsimport.override.yml" ] && export OVERRIDE2=" -f docker-compose.uspsimport.override.yml"

docker-compose -f docker-compose.yml -f ${SSDT_HOME}/prod/import-usps.yml $OVERRIDE rm -f uspsimport
# start import and wait for completion
docker-compose -f docker-compose.yml -f ${SSDT_HOME}/prod/import-usps.yml $OVERRIDE $OVERRIDE2 up uspsimport | tee uspsimport.log
# remove temporary container
docker-compose -f docker-compose.yml -f ${SSDT_HOME}/prod/import-usps.yml $OVERRIDE rm -f uspsimport
# start application
docker-compose up -d uspsapp
